version 13.0

clear all
capture log close
set more off
set maxvar 32000
set matsize 11000

log using "Lowes_Nunn_Robinson_Weigel_AERPP_2015.log", replace

cd "/Users/nnunn/Dropbox (Nathan Nunn)/PUBLICATIONS/AERPP_ethnicity_IAT_2015/Replication_files"

use "Lowes_Nunn_Robinson_Weigel_AERPP_2015.dta", replace

/* Keeping observations constant across specifications. Deleting observations with missing data */
keep if missing(IAT)!=1 & missing(closeness)!=1 & missing(perception)!=1

***************
*** Table 1 ***
***************

* Column 1: Closeness
xi: areg closeness same_ethnicity i.target_group, a(ID) 
sum closeness if e(sample)==1

* Column 2: Perception (positiveness)
xi: areg perception same_ethnicity i.target_group, a(ID) 
sum perception if e(sample)==1

* Column 3: IAT D-score
xi: areg IAT same_ethnicity i.target_group, a(ID)
sum IAT if e(sample)==1

* Column 4: Closeness
xi: areg closeness same_ethnicity enum_same_ethnicity i.target_group, a(ID) 
sum closeness if e(sample)==1

* Column 5: Perception (positiveness)
xi: areg perception same_ethnicity enum_same_ethnicity i.target_group, a(ID) 
sum perception if e(sample)==1

* Column 6: IAT D-score
xi: areg IAT same_ethnicity enum_same_ethnicity i.target_group, a(ID)
sum IAT if e(sample)==1

****************************************************************************************
*** Robustness of results to restricted sample (Kuba, Lele, Luluwa, Luba indiv only) ***
****************************************************************************************

preserve
bysort ID: egen xx=max(same_ethnicity)
drop if xx==0			/* These are observations that do not have same ethnicity as 4 targets */

* Column 1: Closeness
xi: areg closeness same_ethnicity i.target_group, a(ID) 

* Column 2: Perception (positiveness)
xi: areg perception same_ethnicity i.target_group, a(ID) 

* Column 3: IAT D-score
xi: areg IAT same_ethnicity i.target_group, a(ID)

* Column 4: Closeness
xi: areg closeness same_ethnicity enum_same_ethnicity i.target_group, a(ID) 

* Column 5: Perception (positiveness)
xi: areg perception same_ethnicity enum_same_ethnicity i.target_group, a(ID) 

* Column 6: IAT D-score
xi: areg IAT same_ethnicity enum_same_ethnicity i.target_group, a(ID)
restore 

***************************************
*** Results discussed in footnote 1 ***
***************************************

gen same_ethnic_x_order=same_ethnicity*order

/* Closeness */
xi: areg closeness same_ethnicity same_ethnic_x_order i.target_group, a(ID) 
/* Perception (positiveness) */
xi: areg perception same_ethnicity same_ethnic_x_order i.target_group, a(ID) 
/* IATs */
xi: areg IAT same_ethnicity same_ethnic_x_order i.target_group, a(ID)

log close




